/**
 *
 * @access public
 * @return void
 **/
function open_group_create_form() {
    var displ = $('#group_manipulation_form').css('display');

    $('#group_manipulation_form').slideToggle('slow');

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function open_group_dup_dialog(vId, vName) {
    $('#group_duplication_form').css('display', 'none');

    document.forms['SUBMIT_DUB_GROUP'].DUB_NAME.value = vName;
    document.forms['SUBMIT_DUB_GROUP'].DUBID.value = vId;

    show_presentation_effect();

	$("#group_duplication_form").css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#group_duplication_form").height() / 2 - 100));
    $("#group_duplication_form").css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $("#group_duplication_form").width() / 2));

	$('#group_duplication_form').slideDown('slow');

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function open_group_edit_dialog(vId, JSON) {
    if (!JSON) {
        return true;
    }

    $('#group_edit_form').hide();

    // SJAX usage! (thus, proof JSON-compatibility above)
    var cnt_shorttext = '';
    x_read_group_values(vId, function(z) {
        var hOptions = document.forms['Inline_Group_Manipulation_Form'].group_parentid.options;
        var image_align_index;

        if (z['ALIGN'] == 'LEFT') image_align_index = 0;
        if (z['ALIGN'] == 'RIGHT') image_align_index = 1;
        if (z['ALIGN'] == 'BOTTOM') image_align_index = 2;
        if (z['ALIGN'] == 'TOP') image_align_index = 3;

        document.forms['Inline_Group_Manipulation_Form'].group_id.value = vId;
        document.forms['Inline_Group_Manipulation_Form'].group_name.value = z['NAME'];
        document.forms['Inline_Group_Manipulation_Form'].group_content.value = (parseFloat(z['REFID']) <= 0 || isNaN(parseFloat(z['REFID'])))? '-1': z['REFID'];
        document.forms['Inline_Group_Manipulation_Form'].edit_resume_input_article.value = (parseFloat(z['REFID']) <= 0 || isNaN(parseFloat(z['REFID'])))? $('#edit_empty_content_value').attr('value'): $('#edit_nonempty_content_value').attr('value') + ' ' + z['REFID'];
        document.forms['Inline_Group_Manipulation_Form'].group_image.value = (parseFloat(z['IMAGE']) <= 0 || isNaN(parseFloat(z['IMAGE'])))? '-1': z['IMAGE'];
        document.forms['Inline_Group_Manipulation_Form'].edit_resume_input.value = (parseFloat(z['IMAGE']) <= 0 || isNaN(parseFloat(z['IMAGE'])))? $('#edit_empty_content_value').attr('value'): 'ID: ' + z['IMAGE'];
        document.forms['Inline_Group_Manipulation_Form'].group_align.selectedIndex = image_align_index;
        document.forms['Inline_Group_Manipulation_Form'].group_public.selectedIndex = Math.max(0, parseFloat(z['PUBLIC']) - 1);
        document.forms['Inline_Group_Manipulation_Form'].group_showvisits.checked = (z['SHOWVISITS'] == 'TRUE');
        document.forms['Inline_Group_Manipulation_Form'].group_content_is_start.checked = (z['REFID_IS_START'] == 1);
        document.forms['Inline_Group_Manipulation_Form'].group_index.value = z['INDEX'];
        document.forms['Inline_Group_Manipulation_Form'].group_meta_title.value = z['META_TITLE'];
        document.forms['Inline_Group_Manipulation_Form'].group_meta_keywords.value = z['META_KEYWORDS'];
        document.forms['Inline_Group_Manipulation_Form'].group_meta_description.value = z['META_DESCRIPTION'];

        cnt_shorttext = z['SHORTTEXT'];

        if (parseFloat(z['REFID']) <= 0 || isNaN(parseFloat(z['REFID']))) {
            $('#group_choose_content').hide();
            $('#group_choose_content_btn').show();
        } else {
            $('#group_choose_content').show();
            $('#group_choose_content_btn').hide();
        }

        x_divide_datetime(z['PUBLIC_FROM'], function(a){
            document.forms['Inline_Group_Manipulation_Form'].group_public_from_date.value = a[0];
            document.forms['Inline_Group_Manipulation_Form'].group_public_from_time.value = a[1];
        });

        x_divide_datetime(z['PUBLIC_UNTIL'], function(a){
            document.forms['Inline_Group_Manipulation_Form'].group_public_until_date.value = a[0];
            document.forms['Inline_Group_Manipulation_Form'].group_public_until_time.value = a[1];
        });

        hOptions[0].selected = true;
        if (z['hierarchy'] != 'NULL') {
            for (var i = 0; i < hOptions.length; i++) {
                if (hOptions[i].value == z['hierarchy']) {
                    hOptions[i].selected = true;
                }
            }
        }
    });

    // remove the save-plugin from tinyMCE instances in this formular
    try {
        tinyMCE.get('group_shorttext').remove();
    } catch (e) {}

    var settings_ = settings;
    settings_['plugins'] = settings_['plugins'].replace(/save,/, '');

    var tinyMCEO = new tinyMCE.Editor('group_shorttext', settings_);
    tinyMCEO.addShortcut('ctrl+s', '', function(){
        edit_group();
    });
    tinyMCEO.onInit.add(function(ed, e){
        ed.setContent(cnt_shorttext);

        show_presentation_effect();

    	$("#group_edit_form").css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#group_edit_form").height() / 2 - 100));
        $("#group_edit_form").css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $("#group_edit_form").width() / 2));

        $('#group_edit_form').slideDown('slow');

        ed.focus();
    });
    tinyMCEO.render();

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function open_group_create_refid_form(editMode) {
    var formObj = document.forms['SUBMIT_NEW-CHG_GROUP'];

    if (editMode)
        $("#group_edit_form").fadeOut('fast');

    formObj.refid_name.value = '';
    formObj.refid_searchkeys.value = '';
    formObj.refid_index.value = '0';
    $(formObj.refid_option_1).prop('checked', true);
    $(formObj.refid_option_2).prop('checked', true);
    formObj.refid_meta_title.value = '';
    formObj.refid_meta_keywords.value = '';
    formObj.refid_meta_description.value = '';

    // remove the save-plugin from tinyMCE instances in this formular
    try {
        tinyMCE.get('refid_lead').remove();
        tinyMCE.get('refid_content').remove();
    } catch (e) {}

    var settings_ = settings;
    settings_['plugins'] = settings_['plugins'].replace(/save,/, '');

    var tinyMCEO = new tinyMCE.Editor('refid_lead', settings_);
    tinyMCEO.addShortcut('ctrl+s', '', function(){
        create_new_refid();
    });
    tinyMCEO.onInit.add(function(ed, e){
        ed.setContent('');
    });
    tinyMCEO.render();

    var tinyMCEO = new tinyMCE.Editor('refid_content', settings_);
    tinyMCEO.addShortcut('ctrl+s', '', function(){
        create_new_refid();
    });
    tinyMCEO.onInit.add(function(ed, e){
        ed.setContent('');

        show_presentation_effect();

        $("#group_create_refid_form").css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#group_create_refid_form").height() / 2 - 100));
        $("#group_create_refid_form").css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $("#group_create_refid_form").width() / 2));

        $('#group_create_refid_form').slideDown('slow');

        ed.focus();
    });
    tinyMCEO.render();

    // visulize necessary components
    formObj.refid_new.value = editMode? 0: 1;
    formObj.refid_edit.value = 0;

    $('#refid_do_create_btn').show();
    $('#refid_do_redirect_btn').hide();
    $('#refid_do_edit_btn').hide();

    $('#group_create_refid_form').children('fieldset').children('legend').html($('#group_create_refid_form_headline_1').html());

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function open_group_edit_refid_form(vId, gId) {
    var formObj = document.forms['SUBMIT_NEW-CHG_GROUP'];
    var cnt_lead = '';
    var cnt_content = '';

    // this is a bugfix since the checkboxes are curiously not
    // accessible after refreshing the group tree (FF, IE)
    var checkboxes = $('#group_create_refid_form').find('#option_checkboxes').html();
    $('#group_create_refid_form').find('#option_checkboxes').html('');
    $('#group_create_refid_form').find('#option_checkboxes').html(checkboxes);
    $('#group_create_refid_form').find('input:checkbox').attr('checked', false);

    x_read_refid_values(vId, function (z) {
        formObj.refid_name.value = z['TITLE'];
        formObj.refid_searchkeys.value = z['SEARCHKEYS'];
        formObj.refid_index.value = z['INDEX'];
        formObj.refid_meta_title.value = z['META_TITLE'];
        formObj.refid_meta_keywords.value = z['META_KEYWORDS'];
        formObj.refid_meta_description.value = z['META_DESCRIPTION'];
        cnt_lead = z['LEAD'];
        cnt_content = z['TEXT'];
        for (var i = 0; i < z['OPTIONS'].length; i++) {
            $('#group_create_refid_form').find('input:checkbox').each(function() {
                if ($(this).val() == z['OPTIONS'][i])
                    $(this).prop('checked', true);
            });
        }
    });

    // remove the save-plugin from tinyMCE instances in this formular
    try {
        tinyMCE.get('refid_lead').remove();
        tinyMCE.get('refid_content').remove();
    } catch (e) {}

    var settings_ = settings;
    settings_['plugins'] = settings_['plugins'].replace(/save,/, '');

    var tinyMCEO = new tinyMCE.Editor('refid_lead', settings_);
    tinyMCEO.addShortcut('ctrl+s', '', function(){
        change_refid();
    });
    tinyMCEO.onInit.add(function(ed, e){
        ed.setContent(cnt_lead);
    });
    tinyMCEO.render();

    var tinyMCEO = new tinyMCE.Editor('refid_content', settings_);
    tinyMCEO.addShortcut('ctrl+s', '', function(){
        change_refid();
    });
    tinyMCEO.onInit.add(function(ed, e){
        ed.setContent(cnt_content);

        show_presentation_effect();

        $("#group_create_refid_form").css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#group_create_refid_form").height() / 2 - 100));
        $("#group_create_refid_form").css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $("#group_create_refid_form").width() / 2));

        $('#group_create_refid_form').slideDown('slow');

        ed.focus();
    });
    tinyMCEO.render();

    // visulize necessary components
    formObj.refid_new.value = 1;
    formObj.refid_edit.value = vId;

    $('#refid_do_redirect_btn').unbind('click');
    $('#refid_do_redirect_btn').click(function(e){
        window.location = 'index.php?show=3&take=' + gId
            + '&acttype=chg&aid=' + vId;
        e.preventDefault();
    });

    $('#refid_do_create_btn').hide();
    $('#refid_do_redirect_btn').show();
    $('#refid_do_edit_btn').show();

    $('#group_create_refid_form').children('fieldset').children('legend').html($('#group_create_refid_form_headline_2').html());

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function close_group_create_refid_form() {
    var formObj = document.forms['SUBMIT_NEW-CHG_GROUP'];

    if (formObj.refid_new.value != 1) {
        $("#group_create_refid_form").fadeOut('fast');
        $("#group_edit_form").fadeIn('slow');
    } else
        close_dialog('group_create_refid_form');

    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function error_dialog(msg) {
    $('#group_error_dialog').html(msg);
    $("#group_error_dialog").css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $("#group_error_dialog").height() / 2 - 100));
    $("#group_error_dialog").css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $("#group_error_dialog").width() / 2));
    $('#group_error_dialog').fadeIn('fast');
    window.setTimeout('$("#group_error_dialog").fadeOut("slow")', 2500);
    return false;
}

/**
 *
 * @access public
 * @return void
 **/
function success_dialog(msg, d) {
    if (!d) {
        var d = 'group_success_dialog';
    }
    $('#' + d).html(msg);
    $('#' + d).css('top', Math.max(50, Math.floor($(window).height() / 2) + $(window).scrollTop() - $('#' + d).height() / 2 - 100));
    $('#' + d).css('left', Math.max(50, Math.floor($(window).width() / 2) + $(window).scrollLeft() - $('#' + d).width() / 2));
    window.setTimeout('$("#' + d + '").fadeIn(0)', 500); // 500 equals fadeOut time of loading bar
    window.setTimeout('$("#' + d + '").fadeOut("slow")', 1000);
    return true;
}

/**
 *
 * @access public
 * @return void
 **/
function association_dialog(id, is_id_element, id_element, id_element_value) {
    // set to default
    document.forms['Create_Association_Form'].assoc_title.value = '';
    document.forms['Create_Association_Form'].assoc_to.selectedIndex = 0;
    document.forms['Create_Association_Form'].assoc_c_title.selectedIndex = 0;
    document.forms['Create_Association_Form'].assoc_subgroups.checked = false;

    show_presentation_effect();
    return moveElement(id, is_id_element, id_element, id_element_value);
}