<?php
// strongly required
require('getcontent.php');
require('pdf/tcpdf.php');
$GLOBALS["DynPG"]->SetParam_PathToRoot('./');
$GLOBALS["DynPG"]->SetParam_UseCategory(NULL);
if(isset($_GET['lang']) && !empty($_GET['lang']) && is_file(dirname( __FILE__ ) . '/localised/'.strtolower($_GET['lang']).'.lang.php')){
    $GLOBALS["DynPG"]->setupLanguage($_GET['lang']);
    foreach($GLOBALS["DynPG"]->_PlugIn as $pluginname => $plugindata){
        if(is_file(dirname( __FILE__ ) . '/plugins/'.$plugindata['realname'].'/languages/'.strtolower($_GET['lang']).'.lang.php')){
            $GLOBALS["DynPG"]->SetParam_PlugIn_Language($pluginname, $_GET['lang']);
        }
    }
}

ob_start();

@$GLOBALS["DynPG"]->setupTemplate('title');
$GLOBALS["DynPG"]->SetParam_A_Anytime(true);
$GLOBALS["DynPG"]->SetParam_A_Article( addslashes($_GET['aid']) );
$GLOBALS["DynPG"]->SetParam_A_fullLoadText(FALSE);
$title = $GLOBALS["DynPG"]->Write_Article();
$GLOBALS["DynPG"]->SetParam_A_fullLoadText(TRUE);

$title = unhtmlentities($title);

@$GLOBALS["DynPG"]->setupTemplate('pdf');
$GLOBALS["DynPG"]->SetParam_A_Anytime(true);
$GLOBALS["DynPG"]->SetParam_A_ArticleHeader((!empty($_GET['showheader']) && $_GET['showheader'] == 'Y'));
$GLOBALS["DynPG"]->SetParam_A_Article( addslashes($_GET['aid']) );
$content = $GLOBALS["DynPG"]->Write_Article();
@$GLOBALS["DynPG"]->setupTemplate('default');

ob_end_clean();

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true);

$doc_keywords = 'DynPG';

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor(PDF_AUTHOR);
$pdf->SetTitle($title);
$pdf->SetSubject($title);
$pdf->SetKeywords($doc_keywords);
$pdf->SetHeaderData('', '', $title);

//set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
$pdf->SetFont('kozminproregular', '', PDF_FONT_SIZE_DATA);

//$pdf->setLanguageArray($l); //set language items

//initialize document
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->writeHTML($content, true, 0);
$pdf->Output();
?>