<?php
	function dynpg_get_plugin_language_proc($plugin, $directory = 'DPGplugin', $force = true) {
		$lang_dpg_plugin = null;
		if (file_exists(dirname(__FILE__).'/'.$plugin.'/languages/dynpg_backend/'.strtolower($_SESSION["LANGUAGE"]).'.lang.php')) {

			@require_once dirname(__FILE__).'/'.$plugin.'/languages/dynpg_backend/'.strtolower($_SESSION["LANGUAGE"]).'.lang.php';
			$lang_dpg_plugin = new TLanguage(strtolower($_SESSION["LANGUAGE"]), $plugin);

		} elseif ($force) {

			@require_once dirname(__FILE__).'/'.$plugin.'/languages/dynpg_backend/de.lang.php';
			$lang_dpg_plugin = new TLanguage('de', $plugin);

			trigger_error("No language-data found for language '".$_SESSION["LANGUAGE"]."' in this plug-in. Default language is 'de'.", E_USER_NOTICE);

		}
		return $lang_dpg_plugin;
	}
?>