<?php
	// check correctness of posted data, otherwise redirect
		if ( empty($_POST['dynpg_install_step1_license']) ) {
	        header("Location: step1.php");
	        exit();
	    }

	// import
		session_start();
		require 'bin.php';
		require dirname(__FILE__) . '/../functions.php';

    // validate post data
		foreach ( $_POST as $key => $value ) {
	        $preload[$key] = htmlentities(addslashes($value));
	    }
		$preload_Req = Array(
			'dynpg_options_installdir' => dirname(dirname(__FILE__ )),
			'dynpg_options_sds' => '',
            'dynpg_options_superadmin_name' => 'admin',
			'dynpg_options_domain' => getenv('HTTP_HOST')
		);
	    foreach ( $preload_Req as $key => $value ) {
	        if ( empty($preload[$key]) ) {
	            $preload[$key] = $value;
	        }
	    }

	// init language processor
		$langHdl = @dynpg_install_InitLanguageProc($_SESSION['dynpg_install_language']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

		<title>
			<?php print $langHdl->str['lang_install_step3_title']; ?>
		</title>

		<link rel="stylesheet" type="text/css" href="install.css">

		<script src="java.js" type="text/javascript"></script>

		<script type="text/javascript" language="javascript">
		<!--
			function jsValidUserInput()
			{
				var fieldEmpty = false;

				if ( document.getElementById('dynpg_options_installdir').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_options_domain').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_options_superadmin_name').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_options_superadmin_password').value == '' ) {
					fieldEmpty = true;
				}

				if ( document.getElementById('dynpg_options_superadmin_password').value.length < 5 ) {
					alert('<?php print $langHdl->str['lang_install_step3_password_length']; ?>');
					return false;
				}

				if ( fieldEmpty ) {
					alert('<?php print $langHdl->str['lang_install_step3_empty_fields']; ?>');
				}

				return !fieldEmpty;
			}
		//-->
		</script>
	</head>

	<body>

	<a name="__self"></a>
	<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
		<tr>
			<td valign="top" align="left" width="100%">
				<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
				 <tr>
				  <td valign="top" align="left" width="705" style="background-image: url('logo.gif'); background-repeat: no-repeat;">
				  <div id="dynpg_installation_steps">
						<img src="step-on.gif" alt="Step 1 - Active" class="dynpg_installation_steps_img" />
						<img src="step-on.gif" alt="Step 2 - Active" class="dynpg_installation_steps_img" />
						<img src="step-on.gif" alt="Step 3 - Active" class="dynpg_installation_steps_img" />
						<img src="step-on.gif" alt="Step 4 - Active" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 5 - Inactive" class="dynpg_installation_steps_img" />
					</div>
                  </td>
				  <td valign="center" align="right" style="background-image: url('head-bg.gif');"><img src="head-right.gif" alt="Head-Right" /></td>
				 </tr>
				</table>
			</td>
		</tr>
	</table>

	<table border="0" cellspacing="0" align="center" class="dynpg_installation_step">
		<tr>
			<td height="50" style="background-image:url('stephead.gif');"><div id="dynpg_installation_step_headline"><?php print $langHdl->str['lang_install_step3_subtitle']; ?></div></td>
		</tr>
		<tr>
			<td><div id="dynpg_installation_step3_text">

			<form action="run.php" method="post" name="installation_step3" onSubmit="javascript: return jsValidUserInput();">

			<h4><?php print $langHdl->str['lang_install_step3_install_options']; ?></h4>

			<p><?php print $langHdl->str['lang_install_step3_statement_1']; ?></p>

			<strong><?php print $langHdl->str['lang_install_step3_modules']; ?></strong>

			<?php
				$plugins = dynpg_handle_plugins('handle', false, false);
				foreach ($plugins as $plugin) {
			?>
				<div style="margin: 5px;"><img src="checked.gif" alt="checked" id="dynpg_module_gb_img" style="vertical-align:middle;" /> <?php print $langHdl->str['lang_install_step3_module']; ?> <em><?php print $plugin; ?></em> <?php print $langHdl->str['lang_install_step3_contained']; ?>
				<input type="hidden" value="1" id="dynpg_module_gb" name="dynpg_module_gb" /></div>
			<?php
				}
			?>

			<?php if ( dynpg_install_IsModuleInstalled('votes') )  { ?>
            <div style="margin: 5px;"><img src="checked.gif" alt="checked" id="dynpg_module_votes_img" style="vertical-align:middle;" /> <?php print $langHdl->str['lang_install_step3_module']; ?> <em>Votes</em> <?php print $langHdl->str['lang_install_step3_contained']; ?>
			<input type="hidden" value="1" id="dynpg_module_votes" name="dynpg_module_votes" /></div>
			<?php } ?>

			<?php if ( dynpg_install_IsModuleInstalled('forum') )  { ?>
            <div style="margin: 5px;"><img src="checked.gif" alt="checked" id="dynpg_module_forum_img" style="vertical-align:middle;" /> <?php print $langHdl->str['lang_install_step3_module']; ?> <em>Forum</em> <?php print $langHdl->str['lang_install_step3_contained']; ?>
			<input type="hidden" value="1" id="dynpg_module_forum" name="dynpg_module_forum" /></div>
			<?php } ?>

			<br />

			<strong><?php print $langHdl->str['lang_install_step3_options']; ?></strong>

			<div style="margin: 5px;">
			<input type="hidden" value="0" id="dynpg_module_exampledata" name="dynpg_module_exampledata" /></div>

			<table cellspacing="0" align="center" id="dynpg_installation_step3_options">
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step3_dpg_localisation']; ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="1" id="dynpg_options_installdir" name="dynpg_options_installdir" value="<?php echo $preload['dynpg_options_installdir']; ?>" />
						<a href="javascript: jvHideAndShowHelp('options_installdir_help');"><img src="help.gif" alt="help" title="Hilfe" border="0" /></a>
						<div id="options_installdir_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step3_dpg_localisation_help']; ?></span></div></td>
				</tr>
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step3_dpg_domain']; ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="1" id="dynpg_options_domain" name="dynpg_options_domain" value="<?php echo $preload['dynpg_options_domain']; ?>" />
						<a href="javascript: jvHideAndShowHelp('options_domain_help');"><img src="help.gif" alt="help" title="Hilfe" border="0" /></a>
						<div id="options_domain_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step3_dpg_domain_help']; ?></span></div></td>
				</tr>
				<tr>
					<td><strong><?php print $langHdl->str['lang_install_step3_dpg_superadmin']; ?>:</strong></td>
					<td width="100%"><input type="text" maxlength="255" tabindex="3" id="dynpg_options_superadmin_name" name="dynpg_options_superadmin_name" value="<?php echo $preload['dynpg_options_superadmin_name']; ?>" />
						<input type="password" maxlength="255" tabindex="4" id="dynpg_options_superadmin_password" name="dynpg_options_superadmin_password" value="" />
						<a href="javascript: jvHideAndShowHelp('options_superadmin_help');"><img src="help.gif" alt="help" title="Hilfe" border="0" /></a>
						<div id="options_superadmin_help" style="display:none;"><span style="color:blue; font-size: 10px;"><?php print $langHdl->str['lang_install_step3_dpg_superadmin_help']; ?></span></div></td>
				</tr>
			</table>

			<p style="margin: 20px;"></p>

			<input type="image" src="button_install.gif" alt="install" align="right" border="0" />

			<?php foreach ( $_POST as $key => $value ) { ?>
			<?php if ( !strpos($key, 'password') && !array_key_exists($key, $preload_Req) ) { ?>
			<input type="hidden" name="<?php echo $key; ?>" id="<?php echo $key; ?>" value="<?php echo stripslashes($value); ?>" />
            <?php } elseif ( strpos($key, 'password') ) { $_SESSION['DYNPG_INSTALLATION_MYSQLPW'] = $value; } } ?>

			</form>

			<form action="step2.php" method="post" name="installation_step3_back">
    			<?php foreach ( $_POST as $key => $value ) { ?>
				<?php if ( !strpos($key, 'password') ) { ?>
    			<input type="hidden" name="<?php echo $key; ?>" id="<?php echo $key; ?>" value="<?php echo stripslashes($value); ?>" />
                <?php } } ?>

				<input type="image" src="button_back.gif" alt="back" align="left" border="0" />
			</form>

			</div></td>
		</tr>
		<tr>
			<td height="30" style="background-color: white; background-image:url('stepfood.gif');"></td>
		</tr>
	</table>

	</body>
</html>